Page MenuHomePhabricator

At Wikivoyage, move the Cite button into the Insert menu
Closed, ResolvedPublic1 Estimate Story Points

Description

The Cite button is almost never needed at most of the Wikivoyages. For example, the English Wikivoyage uses footnotes on one page, plus the occasional use by editors who cite their sources (in unwitting violation of local guidance), which is removed when found.

Only Hebrew, Spanish, and German have more than 100 mainspace pages that contain the string "ref".

There may be reasonable uses for footnotes even at a project that strictly avoids them, so moving it to the Insert menu is probably better than removing it entirely.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 6:48 PM
Jdforrester-WMF changed the task status from Open to Stalled.Apr 26 2016, 7:05 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptApr 26 2016, 7:05 PM
Elitre added a subscriber: Elitre.Apr 27 2016, 7:08 AM
Jdforrester-WMF changed the task status from Stalled to Open.Jun 29 2016, 12:44 PM

Change 296572 had a related patch set uploaded (by Jforrester):
VisualEditor: Move the citation button out of the primary toolbar on Wikivoyages

https://gerrit.wikimedia.org/r/296572

Scheduled for late Wednesday next week.

Change 296572 merged by jenkins-bot:
VisualEditor: Move the citation button out of the primary toolbar on Wikivoyages

https://gerrit.wikimedia.org/r/296572

Mentioned in SAL [2016-07-06T23:32:37Z] <legoktm@tin> Synchronized wmf-config/InitialiseSettings.php: VisualEditor: Move the citation button out of the primary toolbar on Wikivoyes - T133725 (1/2) (duration: 00m 26s)

Mentioned in SAL [2016-07-06T23:33:54Z] <legoktm@tin> Synchronized wmf-config: VisualEditor: Move the citation button out of the primary toolbar on Wikivoyes - T133725 (2/2) (duration: 00m 30s)

Shouldn't there be more stuff in the Insert menu than just the above-the-scroll items and the references?

Here's what I'm seeing right now:

For example, I distinctly recall the Map feature being present there a few months ago, and now it seems to be missing.

Jdforrester-WMF closed this task as Resolved.Jul 11 2016, 7:04 PM

Shouldn't there be more stuff in the Insert menu than just the above-the-scroll items and the references?
Here's what I'm seeing right now:


For example, I distinctly recall the Map feature being present there a few months ago, and now it seems to be missing.

Yeah, this is T139727. :-( Follow-up there; this is done.